cURL
curl --request POST \
--url https://api.eka.care/abdm/v1/care-contexts/discover/link/init \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cc_ref_id": "<string>",
"patient_ref_id": "<string>",
"txn_id": "<string>"
}
'import requests
url = "https://api.eka.care/abdm/v1/care-contexts/discover/link/init"
payload = {
"cc_ref_id": "<string>",
"patient_ref_id": "<string>",
"txn_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cc_ref_id: '<string>', patient_ref_id: '<string>', txn_id: '<string>'})
};
fetch('https://api.eka.care/abdm/v1/care-contexts/discover/link/init', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"txn_id": "<string>"
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}PHR
Initialise Linking
Initialise the linking for discovered care context.
POST
/
abdm
/
v1
/
care-contexts
/
discover
/
link
/
init
cURL
Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Query Parameters
OID is used to Identify the user.
Body
application/json
Response
OK
Transaction ID required for the next API call.
Was this page helpful?
⌘I

